> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Bank Account Verification V2

> Use this API to verify bank account information in bulk.


View the [test data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#bank-numbers) and use the information to trigger the validations. The test data can be used only in the sandbox environment.

<Note>
  * Cashfree does not support the verification of Deutsche Bank and Paytm Payments Bank accounts.
  * For further queries, please refer to the [Bank Account Verification FAQs](/secure-id/kyc-stack/verify-bank-account#faqs).
</Note>


## OpenAPI

````yaml post /bank-account/bulk
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /bank-account/bulk:
    post:
      tags:
        - BAV V2
      summary: Bulk Bank Account Verification V2
      description: >-
        Use this API to verify bank account information in bulk.



        View the [test
        data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#bank-numbers)
        and use the information to trigger the validations. The test data can be
        used only in the sandbox environment.
      operationId: VrsBulkBavV2
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
      requestBody:
        $ref: '#/components/requestBodies/BankAccountVerificationBulkRequestBody'
      responses:
        '200':
          $ref: '#/components/responses/BulkBavV2Response'
        '400':
          $ref: '#/components/responses/400BulkBAVV2'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409BulkBAVResponse'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  requestBodies:
    BankAccountVerificationBulkRequestBody:
      description: Find the request parameters to verify bank account information in bulk.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BankAccountVerificationBulkRequestSchema'
  responses:
    BulkBavV2Response:
      description: Success response for Bulk Bank Account Verification V2.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BulkBAVV2ResponseSchema'
          examples:
            Request accepted successfully:
              value:
                bulk_reference_id: 123
                bulk_verification_id: bulk-test-123
                status: RECEIVED
    400BulkBAVV2:
      description: Validation error Bulk Bav v2.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bulk Validation ID missing:
              value:
                type: validation_error
                code: bulk_verification_id_missing
                message: bulk_verification_id is missing in the request.
            Bulk Validation ID exceeded:
              value:
                type: validation_error
                code: bulk_verification_id_length_exceeded
                message: bulk_verification_id can include a maximum of 50 characters.
            Invalid Bulk Validation ID:
              value:
                type: validation_error
                code: bulk_verification_id_value_invalid
                message: >-
                  bulk_verification_id can include only alphanum, dot, hyphen
                  and underscores.
            Name exceeded:
              value:
                type: validation_error
                code: name_length_exceeded
                message: >-
                  name can include a maximum of 100 characters for entry at
                  sequence 10.
            Name invalid:
              value:
                type: validation_error
                code: name_value_invalid
                message: >-
                  name should not include special characters for entry at
                  sequence 10.
            Entries exceeded:
              value:
                type: validation_error
                code: entries_length_exceeded
                message: The maximum number of entries allowed per request is 1000
            Entries short:
              value:
                type: validation_error
                code: entries_length_short
                message: Please provide at least one bank account entry
            Phone exceeded:
              value:
                type: validation_error
                code: phone_length_exceeded
                message: >-
                  phone can include a maximum of 13 characters for entry at
                  sequence 10.
            Phone short:
              value:
                type: validation_error
                code: phone_length_short
                message: >-
                  phone should include a minimum of 8 characters for entry at
                  sequence 10.
            Invalid phone:
              value:
                type: validation_error
                code: phone_value_invalid
                message: phone should be numeric for entry at sequence 10.
            Missing bank account number:
              value:
                type: validation_error
                code: bank_account_missing
                message: >-
                  bank_account is missing in the request for entry at sequence
                  10.
            Bank account number exceeded:
              value:
                type: validation_error
                code: bank_account_length_exceeded
                message: >-
                  bank_account can include a maximum of 40 characters for entry
                  at sequence 10.
            Bank account number short:
              value:
                type: validation_error
                code: bank_account_length_short
                message: >-
                  bank_account should include a minimum of 6 characters for
                  entry at sequence 10.
            Invalid bank account number:
              value:
                type: validation_error
                code: bank_account_value_invalid
                message: bank_account should be alphanumeric for entry at sequence 10.
            Missing IFSC:
              value:
                type: validation_error
                code: ifsc_missing
                message: ifsc is missing in the request for entry at sequence 10.
            Invalid IFSC:
              value:
                type: validation_error
                code: ifsc_value_invalid
                message: >-
                  ifsc should be of 11 characters and 5th character should be 0
                  for entry at sequence 10.
            Missing header:
              value:
                type: validation_error
                code: x-client-id_missing
                message: x-client-id is missing in the request.
            Service not enabled:
              value:
                type: validation_error
                code: invalid_request
                message: service not enabled for this account.
            Using test credentials:
              value:
                type: validation_error
                code: x-client-secret_value_invalid
                message: Client secret belongs to test environment
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response409BulkBAVResponse:
      description: >-
        Conflict error because of an existing bulk validation ID for BAV
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Request with same bulk validation id:
              value:
                type: validation_error
                code: bulk_verification_id_value_invalid
                message: bulk_verification_id already exists
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
  schemas:
    BankAccountVerificationBulkRequestSchema:
      type: object
      required:
        - bulk_verification_id
        - entries
      properties:
        bulk_verification_id:
          description: >-
            It is the unique ID you create to identify the API request. The
            maximum character limit is 50. Alphanumeric, period (.), hyphen (-).
            and underscore ( _ ) are allowed.
          type: string
          example: test001
          default: test001
        entries:
          description: >-
            It is the array of bank account information, which needed to be
            verified.
          type: array
          default:
            - name: John Doe
              phone: '9999999999'
              bank_account: '11020001772'
              ifsc: HDFC0000001
          items:
            type: object
            properties:
              name:
                description: >-
                  It is the name of the bank account holder. When provided, a
                  name match verification is done. Only alphanumeric, whitespace
                  (  ), period (.), hyphen ( - ), slash (/), and ampersand ( & )
                  are allowed.
                type: string
                example: John Doe
                default: John Doe
              bank_account:
                description: >-
                  It is the bank account number for verification. It can be an
                  alphanumeric value between 6 and 40 characters.
                type: string
                example: test001
                default: test001
              ifsc:
                description: >-
                  It is the IFSC information of the bank where the bank account
                  is registered. It should be ann alphanumeric value of 11
                  characters. The first 4 characters should be alphabets, the
                  5th character should be a 0, and the remaining 6 characters
                  should be numeric digits.
                type: string
                example: YESB0000001
                default: YESB0000001
              phone:
                description: >-
                  It is the phone number of the account holder that is
                  associated with the entered bank account. Only numeric digits
                  between 8 and 13 characters are allowed.
                type: string
                example: '9999999999'
                default: '9999999999'
            required:
              - bank_account
              - ifsc
          example:
            - name: John Doe
              bank_account: '11020001772'
              ifsc: HDFC0000001
              phone: '9999999999'
    BulkBAVV2ResponseSchema:
      type: object
      properties:
        bulk_reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 23
        bulk_verification_id:
          type: string
          description: >-
            It displays the unique ID you created to identify the Bulk Bank
            Account Verification API request.
          example: bulk-test-123
        status:
          type: string
          description: |-
            It displays the status of the verification.
            Possible values are:
            - `RECEIVED`
          example: RECEIVED
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````